stages:
  - lint

variables:
  PYTHON: python3.7

lint_black:
  stage: lint
  script:
    - ${PYTHON} -mtox -eblack
  coverage: '/null/'

docs:
  stage: lint
  variables:
    BUILD_DIR: "public"
  cache:
    key: "docs"
    paths:
      - .tox
      - .cache
  artifacts:
    paths:
    - public
  script:
    - ${PYTHON} -mtox -edocs
 
lint_pep8:
  stage: lint
  script:
    - ${PYTHON} -mtox -epep8

lint_isort:
  stage: lint
  script:
    - ${PYTHON} -mtox -eisort
lint_pydocstyle:
  stage: lint
  script:
    - ${PYTHON} -mtox -epydocstyle
 
lint_pypi_description:
  stage: lint
  script:
    - ${PYTHON} -mtox -epypi-description
